classification
Title: Add support for customizing scheduler's timefunc and delayfunc using subclassing
Type: enhancement Stage:
Components: Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: Satoru Logic, jaysinh.shukla, rhettinger
Priority: normal Keywords: patch

Created on 2016-10-01 13:05 by Satoru Logic, last changed 2016-10-05 07:03 by jaysinh.shukla. This issue is now closed.

Files
File name Uploaded Description Edit
overridable_time_delay.patch Satoru Logic, 2016-10-01 13:05 review
overridable_time_delay_v2.patch Satoru Logic, 2016-10-03 12:47 review
doc_patch_version_default.diff jaysinh.shukla, 2016-10-04 11:38 Library `sched` documentation patch for method `Scheduler.time` and `Scheduler.delay` functions. review
Messages (4)
msg277958 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2016-10-03 15:26
Why do you need a second way to do it?  Is there any use case not handled by the current API?
msg278030 - (view) Author: Jaysinh shukla (jaysinh.shukla) * Date: 2016-10-04 11:38
Adding documentation patch on given `overridable_time_delay_v2.patch` for `default`.
msg278099 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2016-10-05 03:32
Sorry, I'm going to decline this patch because 1) there is no evidence this is needed (i.e. hasn't ever been requested in the long life of this ancient module), 2) it adds API complexity (zen:  there should be one-- and preferably only one --obvious way to do it), and 3) it feels more like feature creep than something that is truly useful (i.e. more a personal stylistic choice than a new capability).
msg278109 - (view) Author: Jaysinh shukla (jaysinh.shukla) * Date: 2016-10-05 07:03
Hey Raymond,
    Since you rejected the issue, I would like to mention two points.
    
    1. I believe Threading does have the similar interface. https://docs.python.org/3/library/threading.html where `Thread.target` and `Tread.run()` behaves same. 
    2. If possible, Can I propose a patch to remove that comment so that it doesn't create any confusions like this in future?
History
Date User Action Args
2016-10-05 07:03:17jaysinh.shuklasetmessages: + msg278109
2016-10-05 03:32:16rhettingersetstatus: open -> closed
resolution: rejected
messages: + msg278099
2016-10-04 11:38:23jaysinh.shuklasetfiles: + doc_patch_version_default.diff
nosy: + jaysinh.shukla
messages: + msg278030

2016-10-03 15:26:40rhettingersetnosy: + rhettinger
messages: + msg277958
2016-10-03 12:47:37Satoru Logicsetfiles: + overridable_time_delay_v2.patch
2016-10-01 13:05:23Satoru Logiccreate